Actions
POST /{o}/{p}/actions/{name}/run
Trigger a collection-scoped action
Run a collection-scoped action in this project. Instance-scoped actions are triggered via the entity actions route.
Auth: Bearer token required ยท Permission: actions:trigger
Path parameters
| Name | Type | Description |
|---|
name | string | Action name |
o | string | |
p | string | |
Query parameters
| Name | Type | Description |
|---|
source | string | Filter to one registered import source |
Request body (application/json)
| Field | Type | Description |
|---|
parameters | object | Action parameters as JSON |
recommendations | object | Recommendation selections as JSON |
Responses
| Status | Description | Schema |
|---|
202 | Accepted | ActionRun |
400 | Bad Request | Error |
401 | Unauthorized | Error |
403 | Forbidden | Error |
404 | Not Found | Error |
Schemas
ActionRun
| Field | Type | Description |
|---|
id | string(uuid) | (required) |
actionName | string | (required) |
entityId | string(uuid) | null | (required) |
status | pending | running | succeeded | failed | cancelled | dispatching | blocked | (required) |
parameters | object | (required) |
recommendations | object | (required) |
triggeredBy | string | (required) |
createdAt | string | string | (required) |
startedAt | string | string | null | (required) |
completedAt | string | string | null | (required) |
error | string | null | (required) |
output | object | null | (required) |
orgId | string | (required) |
projectId | string | (required) |
operationEntityId | string | null | (required) |
metadata | object | null | (required) |
resolvedTargets | object | (required) |
Error
| Field | Type | Description |
|---|
error | string | (required) |
code | string | |
PlacementDecision
| Field | Type | Description |
|---|
groupingKind | Cell | DeploymentTargetSet | (required) |
group | string | (required) |
policy | least-loaded | round-robin | random | (required) |
metric | string | null | (required) |
metricValue | number | null | (required) |
candidates | integer | (required) |
ResolvedTargetRecord
| Field | Type | Description |
|---|
name | string | (required) |
provider | aws | gcp | s3-backend | tfc-workspace | generic | (required) |
placement | PlacementDecision | |